%define	name	powermanga
%define	version	0.80
%define subrel	1
%define	release	%mkrel 2
%define	Summary	Shoot them up with 3d graphics

Summary: 	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Games/Arcade
BuildRequires:	XFree86-devel SDL_mixer-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	http://linux.tlk.fr/games/Powermanga/download/%{name}-%{version}.tgz
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
ExclusiveArch:	%{ix86} ppc
URL:		http://linux.tlk.fr/games/Powermanga/
Requires(post):	rpm-helper
Requires(postun):	rpm-helper

%description
In this "shoot 'em up" with 3d graphics, you'll have to face and destroy
more than 60 different types of opponents. Nice musics, many weapons, and
a ton of surprises..

%prep
%setup -q
#(peroyvind) fix path to scoredir
perl -pi -e "s#/var/games#%{_localstatedir}/games#g" src/Makefile.in

%build
%configure2_5x	--mandir=%{_mandir}/man6
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

install -d install %{buildroot}%{_gamesdatadir}/%{name}/texts
install -m 644 texts/*.txt texts/*.ini %{buildroot}%{_gamesdatadir}/%{name}/texts

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.png" \
  needs="x11" section="More Applications/Games/Arcade" title="Power Manga" \
  longtitle="%{Summary}" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Power Manga
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}
%create_ghostfile %{_localstatedir}/games/%{name}.hi root games 664
%create_ghostfile %{_localstatedir}/games/%{name}.hi-easy root games 664
%create_ghostfile %{_localstatedir}/games/%{name}.hi-hard root games 664

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%attr(-, root, games) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%attr(664, root, games) %ghost %{_localstatedir}/games/%{name}.hi
%attr(664, root, games) %ghost %{_localstatedir}/games/%{name}.hi-easy
%attr(664, root, games) %ghost %{_localstatedir}/games/%{name}.hi-hard


%changelog
* Fri Dec 08 2006 Stew Benedict <sbenedict@mandriva.com> 0.80-2.1mdv2007.0
- rebuild for 2007.0 updates

* Fri Dec 01 2006 Olivier Blin <oblin@mandriva.com> 0.80-2mdv2007.1
+ Revision: 89894
- install texts files to be able to start the game (#23612)
- remove old comment
- Import powermanga



* Thu Jun 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.80-1mdv2007.0
- 0.80
- %%mkrel
- add xdg menu
- update url
- fix prereq-use

* Wed Aug 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.79-1mdk
- 0.79
- cosmetics

* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.78-4mdk
- Rebuild with new menu

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 0.78-3mdk
- Rebuild

* Thu Jul 24 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.78-2mdk
- made icon backgrounds transparent (looks much better in menus)
- fix description (Adam Williamson)

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.78-1mdk
- 0.78
- dropped prefix tag
- converted icons to png
- now build on ppc too:)
- adapt to autoconf/automake
- macroize
- drop P3

* Thu Jul  3 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.77-1mdk
- new version

* Fri Apr 25 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.76-1mdk
- new version

* Wed Oct  9 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.74-1mdk
- new version
- don't add a pkgdatadir anymore, it's a pain to port the patch for
  each new release; use a script to launch the game from its datadir

* Mon Aug 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.73-1mdk
- new version with small fixes all around the place in which a few patches
  of us have been integrated upstream

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.71c-8mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.71c-7mdk
- Automated rebuild with gcc3.2

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71c-6mdk
- rebuild to link against latest libstdc++

* Fri Feb 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71c-5mdk
- rebuild to fix invalid-packager
- handle /var/lib/games stuff as ghost file

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71c-4mdk
- fix obsolete-tag Copyright

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 0.71c-3mdk
- BuildRequires:	XFree86-devel

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71c-2mdk
- rebuild

* Thu Mar 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71c-1mdk
- 0.71c

* Wed Dec 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.71-2mdk
- ix86 only.

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71-1mdk
- mdk package
